at.chipkarte.client.elgaad.soap

## Class Rezept

- Object
- - at.chipkarte.client.elgaad.soap.Rezept

-     public class Rezept
      extends Object

  Daten eines Rezeptes.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" - "Erfassung" angegeben.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rezept()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGueltigBis()` Ende des Gültigkeitszeitraums.
    `String` | `getGueltigVon()` Beginn des Gültigkeitszeitraums.
    `Metadaten` | `getMetadaten()` Metadaten des Dokumentes.
    `Code` | `getRezeptart()` Rezeptart.
    `Verordnung[]` | `getVerordnungen()` Verordnungen des Rezepts.
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setGueltigVon(String gueltigVon)`
    `void` | `setMetadaten(Metadaten metadaten)`
    `void` | `setRezeptart(Code rezeptart)`
    `void` | `setVerordnungen(Verordnung[] verordnungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rezept

          public Rezept()

  - ### Method Detail

    - #### getMetadaten

          public Metadaten getMetadaten()

      Metadaten des Dokumentes. Siehe `Metadaten`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Metadaten.

    - #### getVerordnungen

          public Verordnung[] getVerordnungen()

      Verordnungen des Rezepts. Siehe `Verordnung`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Liste von Verordnungen.

    - #### getRezeptart

          public Code getRezeptart()

      Rezeptart. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Muss.
      Ausgabebedingung: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationRezeptart_VS
      Returns:
        Rezeptart.

    - #### getGueltigVon

          public String getGueltigVon()

      Beginn des Gültigkeitszeitraums.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        gültig Von.

    - #### getGueltigBis

          public String getGueltigBis()

      Ende des Gültigkeitszeitraums.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        gültig Bis.

    - #### setMetadaten

          public void setMetadaten(Metadaten metadaten)

    - #### setVerordnungen

          public void setVerordnungen(Verordnung[] verordnungen)

    - #### setRezeptart

          public void setRezeptart(Code rezeptart)

    - #### setGueltigVon

          public void setGueltigVon(String gueltigVon)

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)